Common
Get a user contact
Retrieves a single user contact by id.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
userContactId*string
GUID of the user contact. A non-GUID value returns a 400 using the standard error envelope.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/common/user/contact/497f6eca-6276-4993-bfeb-53cbbbba6f08/get"{ "result": { "data": { "userContact": { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Jane Doe", "email": "jane.doe@example.com", "sharedWithAccount": true, "subscriptionUserGuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7" } }, "statusCode": 200, "message": "OK" }, "origin": "GET https://api.doctavian.com/v1/common/user/contact/{userContactId}/get", "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "e7bd81c47ae8c71af8c6763e27a67602", "userId": "c93c8b8d-f556-4fb0-bca7-0e5914580384"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "userContactId must be a GUID.", "userMessage": "userContactId must be a GUID." } ], "message": "One or more validation errors occurred.", "statusCode": 400 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "d0b281c48d9641b405a149724ae444d0", "origin": "GET https://api.doctavian.com/v1/common/user/contact/{userContactId}/get", "userId": "748b2a39-7231-4b49-832b-9ef189074a21"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 401 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "4fae20b7b71ad02b1af4f56af551baa0", "origin": "GET https://api.doctavian.com/v1/common/user/contact/{userContactId}/get", "userId": "e572db38-3d3b-42f5-958a-5c169da2e235"}{ "error": { "innerErrors": [ { "code": "VALIDATION_ERROR", "message": "Name is required.", "userMessage": "Name is required." } ], "message": "One or more validation errors occurred.", "statusCode": 403 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "c4f30f3b491bc3e16576310fa0455cdb", "origin": "GET https://api.doctavian.com/v1/common/user/contact/{userContactId}/get", "userId": "ed60ade7-a908-43ab-97c9-b9b9c6278a33"}{ "error": { "innerErrors": [ { "code": "FUNCTION_EXECUTION_ERROR", "message": "An unexpected error occurred while processing the request.", "userMessage": "Something went wrong. Please contact support." } ], "message": "An unexpected error occurred while processing the request.", "statusCode": 500 }, "dateTime": "2026-01-02T12:34:56.000Z", "operationId": "b5937f3b5bbe3e165be531d0a356ff59", "origin": "GET https://api.doctavian.com/v1/common/user/contact/{userContactId}/get", "userId": "1fbb3364-7032-4f12-9b52-54b8303e6acd"}